Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.ejb
Interface WLQueryProperties

All Superinterfaces:
  QueryProperties

    public interface WLQueryProperties

extends QueryProperties

Field Summary
`static String` | `GROUP_NAME`
`static String` | `ISOLATION_LEVEL`
`static int` | `NONE`
`static int` | `READ_COMMITTED`
`static int` | `READ_COMMITTED_FOR_UPDATE`
`static int` | `READ_UNCOMMITTED`
`static String` | `RELATIONSHIP_CACHING_NAME`
`static int` | `REPEATABLE_READ`
`static int` | `SERIALIZABLE`
`static String` | `SQL_SELECT_DISTINCT`

Fields inherited from interface weblogic.ejb.QueryProperties
`TX_MANDATORY, TX_REQUIRED, TX_REQUIRES_NEW`

Method Summary
`String` | `getFieldGroupName()`
`int` | `getIsolationLevel()`
`String` | `getRelationshipCachingName()`
`boolean` | `getSQLSelectDistinct()`
`String` | `getSqlShapeName()`
`void` | `setFieldGroupName(String value)` Used to specify which CMP field group will be loaded upon execution of the find method.
`void` | `setIsolationLevel(int value)` Used to set the isolation level that should be used for the dynamic query.
`void` | `setRelationshipCachingName(String cachingName)`
`void` | `setSQLSelectDistinct(boolean value)` Used to control whether the generated SQL 'SELECT' will contain a 'DISTINCT' qualifier.
`void` | `setSqlShapeName(String value)`

Methods inherited from interface weblogic.ejb.QueryProperties
`getEnableQueryCaching, getIncludeUpdates, getMaxElements, getTransaction, isResultTypeRemote, setEnableQueryCaching, setIncludeUpdates, setMaxElements, setResultTypeRemote, setTransaction`

Field Detail

### GROUP_NAME

    static final String GROUP_NAME

See Also:
  Constant Field Values

### SQL_SELECT_DISTINCT

    static final String SQL_SELECT_DISTINCT

See Also:
  Constant Field Values

### ISOLATION_LEVEL

    static final String ISOLATION_LEVEL

See Also:
  Constant Field Values

### RELATIONSHIP_CACHING_NAME

    static final String RELATIONSHIP_CACHING_NAME

See Also:
  Constant Field Values

### SERIALIZABLE

    static final int SERIALIZABLE

See Also:
  Constant Field Values

### REPEATABLE_READ

    static final int REPEATABLE_READ

See Also:
  Constant Field Values

### READ_COMMITTED

    static final int READ_COMMITTED

See Also:
  Constant Field Values

### NONE

    static final int NONE

See Also:
  Constant Field Values

### READ_UNCOMMITTED

    static final int READ_UNCOMMITTED

See Also:
  Constant Field Values

### READ_COMMITTED_FOR_UPDATE

    static final int READ_COMMITTED_FOR_UPDATE

See Also:
  Constant Field Values

Method Detail

### setFieldGroupName

    void setFieldGroupName(String value)
                           throws FinderException

  Used to specify which CMP field group will be loaded upon execution of the find method. Default: The default field group (all fields)

  Throws:
    `FinderException`

### getFieldGroupName

    String getFieldGroupName()
                             throws FinderException

  Throws:
    `FinderException`

### setSQLSelectDistinct

    void setSQLSelectDistinct(boolean value)
                              throws FinderException

  Used to control whether the generated SQL 'SELECT' will contain a 'DISTINCT' qualifier. Use of the DISTINCT qualifier will cause the RDBMS to return unique rows. Default: False

  Throws:
    `FinderException`

### getSQLSelectDistinct

    boolean getSQLSelectDistinct()
                                 throws FinderException

  Throws:
    `FinderException`

### setIsolationLevel

    void setIsolationLevel(int value)
                           throws FinderException

  Used to set the isolation level that should be used for the dynamic query. Default: database default

  Throws:
    `FinderException`

### getIsolationLevel

    int getIsolationLevel()
                          throws FinderException

  Throws:
    `FinderException`

### setRelationshipCachingName

    void setRelationshipCachingName(String cachingName)
                                    throws FinderException

  Throws:
    `FinderException`

### getRelationshipCachingName

    String getRelationshipCachingName()
                                      throws FinderException

  Throws:
    `FinderException`

### setSqlShapeName

    void setSqlShapeName(String value)
                         throws FinderException

  Throws:
    `FinderException`

### getSqlShapeName

    String getSqlShapeName()
                           throws FinderException

  Throws:
    `FinderException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD